MACRO::JSON_OUTPUT_S(3stap)

NAME
macro::json_output_string_value - Output a string value.

SYNOPSIS

    @json_output_string_value(name,value)

ARGUMENTS

name
    The name of the string metric.

value
    The string value to output.

DESCRIPTION

The json_output_string_value macro is designed to be called from the 'json_data' probe in the user's script to output a metric's string value. This metric should have been added with json_add_string_metric.

SEE ALSO
tapset::json(3stap)